## org.apache.mahout.text
Class LuceneSegmentInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat
          org.apache.mahout.text.LuceneSegmentInputFormat

    public class LuceneSegmentInputFormat

extends org.apache.hadoop.mapreduce.InputFormat

`InputFormat` implementation which splits a Lucene index at the segment level.

Constructor Summary
`LuceneSegmentInputFormat()`

Method Summary
`org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>` `createRecordReader(org.apache.hadoop.mapreduce.InputSplit inputSplit, org.apache.hadoop.mapreduce.TaskAttemptContext context)`
`List<LuceneSegmentInputSplit>` `getSplits(org.apache.hadoop.mapreduce.JobContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneSegmentInputFormat

    public LuceneSegmentInputFormat()

Method Detail

### getSplits

    public List<LuceneSegmentInputSplit> getSplits(org.apache.hadoop.mapreduce.JobContext context)
                                            throws IOException,
                                                   InterruptedException

  Specified by:
    `getSplits` in class `org.apache.hadoop.mapreduce.InputFormat`
  Throws:
    `IOException`
    `InterruptedException`

### createRecordReader

    public org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable> createRecordReader(org.apache.hadoop.mapreduce.InputSplit inputSplit,
                                                                                                                                    org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                                                                             throws IOException,
                                                                                                                                    InterruptedException

  Specified by:
    `createRecordReader` in class `org.apache.hadoop.mapreduce.InputFormat`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.